Index: NEMO/trunk/doc/latex/NEMO/main/abstract.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/abstract.tex	(revision 11591)
+++ NEMO/trunk/doc/latex/NEMO/main/abstract.tex	(revision 11591)
@@ -0,0 +1,27 @@
+%% ================================================================
+%% Abstract
+%% ================================================================
+
+%% Common part between NEMO-SI3-TOP
+\NEMO\ (``Nucleus for European Modelling of the Ocean'') is a framework of ocean-related engines.
+It is intended to be a flexible tool for studying the ocean dynamics and thermodynamics (``blue ocean''),
+as well as its interactions with the components of the Earth climate system over
+a wide range of space and time scales.
+Within \NEMO, the ocean engine is interfaced with a sea-ice model (\SIcube\ or
+\href{http://github.com/CICE-Consortium/CICE}{CICE}),
+passive tracers and biogeochemical models (\TOP) and,
+via the \href{http://portal.enes.org/oasis}{OASIS} coupler,
+with several atmospheric general circulation models.
+It also supports two-way grid embedding by means of the \href{http://agrif.imag.fr}{AGRIF} software.
+
+%% Specific part
+The primitive equation model is adapted to regional and global ocean circulation problems down to
+kilometric scale.
+Prognostic variables are the three-dimensional velocity field, a non-linear sea surface height,
+the \textit{Conservative} Temperature and the \textit{Absolute} Salinity.
+In the horizontal direction, the model uses a curvilinear orthogonal grid and
+in the vertical direction, a full or partial step $z$-coordinate, or $s$-coordinate, or
+a mixture of the two.
+The distribution of variables is a three-dimensional Arakawa C-type grid.
+Various physical choices are available to describe ocean physics,
+so as various HPC functionalities to improve performances.
Index: NEMO/trunk/doc/latex/NEMO/main/authors.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/authors.tex	(revision 11591)
+++ NEMO/trunk/doc/latex/NEMO/main/authors.tex	(revision 11591)
@@ -0,0 +1,50 @@
+%Romain Bourdall\'{e}-Badie
+%\orcid{0000-0002-8742-3289} \\
+%Mike Bell                   \\
+%J\'{e}r\^{o}me Chanut       \\
+%Emanuela Clementi
+%\orcid{0000-0002-5752-1849} \\
+%Andrew Coward
+%\orcid{0000-0002-0456-129X} \\
+%Massimiliano Drudi
+%\orcid{0000-0002-9951-740X} \\
+%Christian \'{E}th\'{e}      \\
+%Doroteaciro Iovino
+%\orcid{0000-0001-5132-7255} \\
+%Dan Lea                     \\
+%Claire L\'{e}vy
+%\orcid{0000-0003-2518-6692} \\
+%Gurvan Madec
+%\orcid{0000-0002-6447-4198} \\
+%Nicolas Martin              \\
+%S\'{e}bastien Masson
+%\orcid{0000-0002-1694-8117} \\
+%Pierre Mathiot              \\
+%Silvia Mocavero
+%\orcid{0000-0002-6309-8282} \\
+%Simon M\"{u}ller            \\
+%George Nurser               \\
+%Guillaume Samson
+%\orcid{0000-0001-7481-6369} \\
+%Dave Storkey
+
+\orcid{0000-0002-8742-3289} Romain Bourdall\'{e}-Badie  \\
+                            Mike Bell                   \\
+                            J\'{e}r\^{o}me Chanut       \\
+\orcid{0000-0002-5752-1849} Emanuela Clementi           \\
+\orcid{0000-0002-0456-129X} Andrew Coward               \\
+\orcid{0000-0002-9951-740X} Massimiliano Drudi          \\
+                            Christian \'{E}th\'{e}      \\
+\orcid{0000-0001-5132-7255} Doroteaciro Iovino          \\
+                            Dan Lea                     \\
+\orcid{0000-0003-2518-6692} Claire L\'{e}vy             \\
+\orcid{0000-0002-6447-4198} Gurvan Madec                \\
+                            Nicolas Martin              \\
+\orcid{0000-0002-1694-8117} S\'{e}bastien Masson        \\
+                            Pierre Mathiot              \\
+\orcid{0000-0002-6309-8282} Silvia Mocavero             \\
+                            Simon M\"{u}ller            \\
+                            George Nurser               \\
+\orcid{0000-0001-7481-6369} Guillaume Samson            \\
+                            Dave Storkey                \\
+%% Don't forget the last break for the right alignment
Index: NEMO/trunk/doc/latex/NEMO/main/definitions.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/definitions.tex	(revision 11584)
+++ 	(revision )
@@ -1,20 +1,0 @@
-%% Engine (subfolder name)
-\def \engine{NEMO}
-
-%% Cover page settings
-\def \spacetop{  \vspace*{1.85cm} }
-\def \heading{NEMO ocean engine}
-%\def \subheading{}
-\def \spacedown{ \vspace*{0.75cm } }
-\def \authorswidth{  0.3\linewidth}
-\def \rulelenght{270pt}
-\def \abstractwidth{0.6\linewidth}
-
-%% Manual color (frontpage banner, links  and chapter boxes)
-\def \setmanualcolor{ \definecolor{manualcolor}{cmyk}{1, .60, 0, .40} }
-
-%% IPSL publication number
-\def \ipslnum{27}
-
-%% Zenodo ID, i.e. doi:10.5281/zenodo.\([0-9]*\)
-\def \zid{1464816}
Index: NEMO/trunk/doc/latex/NEMO/main/foreword.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/foreword.tex	(revision 11584)
+++ 	(revision )
@@ -1,27 +1,0 @@
-%% ================================================================
-%% Abstract
-%% ================================================================
-
-%% Common part between NEMO-SI3-TOP
-\NEMO\ (``Nucleus for European Modelling of the Ocean'') is a framework of ocean-related engines.
-It is intended to be a flexible tool for studying the ocean dynamics and thermodynamics (``blue ocean''),
-as well as its interactions with the components of the Earth climate system over
-a wide range of space and time scales.
-Within \NEMO, the ocean engine is interfaced with a sea-ice model (\SIcube\ or
-\href{http://github.com/CICE-Consortium/CICE}{CICE}),
-passive tracers and biogeochemical models (\TOP) and,
-via the \href{http://portal.enes.org/oasis}{OASIS} coupler,
-with several atmospheric general circulation models.
-It also supports two-way grid embedding by means of the \href{http://agrif.imag.fr}{AGRIF} software.
-
-%% Specific part
-The primitive equation model is adapted to regional and global ocean circulation problems down to
-kilometric scale.
-Prognostic variables are the three-dimensional velocity field, a non-linear sea surface height,
-the \textit{Conservative} Temperature and the \textit{Absolute} Salinity.
-In the horizontal direction, the model uses a curvilinear orthogonal grid and
-in the vertical direction, a full or partial step $z$-coordinate, or $s$-coordinate, or
-a mixture of the two.
-The distribution of variables is a three-dimensional Arakawa C-type grid.
-Various physical choices are available to describe ocean physics,
-so as various HPC functionalities to improve performances.
Index: NEMO/trunk/doc/latex/NEMO/main/settings.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/settings.tex	(revision 11591)
+++ NEMO/trunk/doc/latex/NEMO/main/settings.tex	(revision 11591)
@@ -0,0 +1,20 @@
+%% Engine (subfolder name)
+\def \engine{NEMO}
+
+%% Cover page settings
+\def \spacetop{  \vspace*{1.85cm} }
+\def \heading{NEMO ocean engine}
+%\def \subheading{}
+\def \spacedown{ \vspace*{0.75cm } }
+\def \authorswidth{ 0.3\linewidth}
+\def \rulelenght{270pt}
+\def \abstractwidth{0.6\linewidth}
+
+%% Manual color (frontpage banner, links  and chapter boxes)
+\def \setmanualcolor{ \definecolor{manualcolor}{cmyk}{1, .60, 0, .4} }
+
+%% IPSL publication number
+\def \ipslnum{27}
+
+%% Zenodo ID, i.e. doi:10.5281/zenodo.\([0-9]*\)
+\def \zid{1464816}
Index: NEMO/trunk/doc/latex/NEMO/main/thanks.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/thanks.tex	(revision 11584)
+++ 	(revision )
@@ -1,50 +1,0 @@
-%Romain Bourdall\'{e}-Badie
-%\orcid{0000-0002-8742-3289} \\
-%Mike Bell                   \\
-%J\'{e}r\^{o}me Chanut       \\
-%Emanuela Clementi
-%\orcid{0000-0002-5752-1849} \\
-%Andrew Coward
-%\orcid{0000-0002-0456-129X} \\
-%Massimiliano Drudi
-%\orcid{0000-0002-9951-740X} \\
-%Christian \'{E}th\'{e}      \\
-%Doroteaciro Iovino
-%\orcid{0000-0001-5132-7255} \\
-%Dan Lea                     \\
-%Claire L\'{e}vy
-%\orcid{0000-0003-2518-6692} \\
-%Gurvan Madec
-%\orcid{0000-0002-6447-4198} \\
-%Nicolas Martin              \\
-%S\'{e}bastien Masson
-%\orcid{0000-0002-1694-8117} \\
-%Pierre Mathiot              \\
-%Silvia Mocavero
-%\orcid{0000-0002-6309-8282} \\
-%Simon M\"{u}ller            \\
-%George Nurser               \\
-%Guillaume Samson
-%\orcid{0000-0001-7481-6369} \\
-%Dave Storkey
-
-\orcid{0000-0002-8742-3289} Romain Bourdall\'{e}-Badie  \\
-                            Mike Bell                   \\
-                            J\'{e}r\^{o}me Chanut       \\
-\orcid{0000-0002-5752-1849} Emanuela Clementi           \\
-\orcid{0000-0002-0456-129X} Andrew Coward               \\
-\orcid{0000-0002-9951-740X} Massimiliano Drudi          \\
-                            Christian \'{E}th\'{e}      \\
-\orcid{0000-0001-5132-7255} Doroteaciro Iovino          \\
-                            Dan Lea                     \\
-\orcid{0000-0003-2518-6692} Claire L\'{e}vy             \\
-\orcid{0000-0002-6447-4198} Gurvan Madec                \\
-                            Nicolas Martin              \\
-\orcid{0000-0002-1694-8117} S\'{e}bastien Masson        \\
-                            Pierre Mathiot              \\
-\orcid{0000-0002-6309-8282} Silvia Mocavero             \\
-                            Simon M\"{u}ller            \\
-                            George Nurser               \\
-\orcid{0000-0001-7481-6369} Guillaume Samson            \\
-                            Dave Storkey                \\
-%% Don't forget the last break for the right alignment