Index: NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11584)
+++ NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11596)
@@ -12,13 +12,8 @@
 
 \begin{document}
-% ================================================================
-% Iso-neutral diffusion :
-% ================================================================
 \chapter{Iso-Neutral Diffusion and Eddy Advection using Triads}
 \label{apdx:TRIADS}
 
 \chaptertoc
-
-\newpage
 
 \section[Choice of \forcode{namtra\_ldf} namelist parameters]{Choice of \protect\nam{tra_ldf}{tra\_ldf} namelist parameters}
@@ -42,5 +37,5 @@
 The options specific to the Griffies scheme include:
 \begin{description}
-\item[{\np{ln_triad_iso}{ln\_triad\_iso}}]
+\item [{\np{ln_triad_iso}{ln\_triad\_iso}}]
   See \autoref{sec:TRIADS_taper}.
   If this is set false (the default),
@@ -53,5 +48,5 @@
   giving an almost pure horizontal diffusive tracer flux within the mixed layer.
   This is similar to the tapering suggested by \citet{gerdes.koberle.ea_CD91}. See \autoref{subsec:TRIADS_Gerdes-taper}
-\item[{\np{ln_botmix_triad}{ln\_botmix\_triad}}]
+\item [{\np{ln_botmix_triad}{ln\_botmix\_triad}}]
   See \autoref{sec:TRIADS_iso_bdry}.
   If this is set false (the default) then the lateral diffusive fluxes
@@ -59,11 +54,11 @@
   If it is set true, however, then these lateral diffusive fluxes are applied,
   giving smoother bottom tracer fields at the cost of introducing diapycnal mixing.
-\item[{\np{rn_sw_triad}{rn\_sw\_triad}}]
+\item [{\np{rn_sw_triad}{rn\_sw\_triad}}]
   blah blah to be added....
 \end{description}
 The options shared with the Standard scheme include:
 \begin{description}
-\item[{\np{ln_traldf_msc}{ln\_traldf\_msc}}]   blah blah to be added
-\item[{\np{rn_slpmax}{rn\_slpmax}}]  blah blah to be added
+\item [{\np{ln_traldf_msc}{ln\_traldf\_msc}}]   blah blah to be added
+\item [{\np{rn_slpmax}{rn\_slpmax}}]  blah blah to be added
 \end{description}
 
@@ -548,5 +543,5 @@
 The diffusion scheme satisfies the following six properties:
 \begin{description}
-\item[$\bullet$ horizontal diffusion]
+\item [$\bullet$ horizontal diffusion]
   The discretization of the diffusion operator recovers the traditional five-point Laplacian
   \autoref{eq:TRIADS_lat-normal} in the limit of flat iso-neutral direction:
@@ -559,5 +554,5 @@
   \]
 
-\item[$\bullet$ implicit treatment in the vertical]
+\item [$\bullet$ implicit treatment in the vertical]
   Only tracer values associated with a single water column appear in the expression \autoref{eq:TRIADS_i33} for
   the $_{33}$ fluxes, vertical fluxes driven by vertical gradients.
@@ -575,9 +570,9 @@
   (where $b_w= e_{1w}\,e_{2w}\,e_{3w}$ is the volume of $w$-cells) can be quite large.
 
-\item[$\bullet$ pure iso-neutral operator]
+\item [$\bullet$ pure iso-neutral operator]
   The iso-neutral flux of locally referenced potential density is zero.
   See \autoref{eq:TRIADS_latflux-rho} and \autoref{eq:TRIADS_vertflux-triad2}.
 
-\item[$\bullet$ conservation of tracer]
+\item [$\bullet$ conservation of tracer]
   The iso-neutral diffusion conserves tracer content, \ie
   \[
@@ -587,5 +582,5 @@
   This property is trivially satisfied since the iso-neutral diffusive operator is written in flux form.
 
-\item[$\bullet$ no increase of tracer variance]
+\item [$\bullet$ no increase of tracer variance]
   The iso-neutral diffusion does not increase the tracer variance, \ie
   \[
@@ -600,5 +595,5 @@
   the field on which it is applied becomes free of grid-point noise.
 
-\item[$\bullet$ self-adjoint operator]
+\item [$\bullet$ self-adjoint operator]
   The iso-neutral diffusion operator is self-adjoint, \ie
   \begin{equation}
@@ -753,6 +748,5 @@
 described above by \autoref{eq:TRIADS_Rtilde}.
 \begin{enumerate}
-\item
-  Mixed-layer depth is defined so as to avoid including regions of weak vertical stratification in
+\item Mixed-layer depth is defined so as to avoid including regions of weak vertical stratification in
   the slope definition.
   At each $i,j$ (simplified to $i$ in \autoref{fig:TRIADS_MLB_triad}),
@@ -766,6 +760,5 @@
   output the diagnosed mixed-layer depth $h_{\mathrm{ML}}=|z_{W}|_{k_{\mathrm{ML}}+1/2}$,
   the depth of the $w$-point above the $i,k_{\mathrm{ML}}$ tracer point.
-\item
-  We define `basal' triad slopes ${\:}_i{\mathbb{R}_{\mathrm{base}}}_{\,i_p}^{k_p}$ as
+\item We define `basal' triad slopes ${\:}_i{\mathbb{R}_{\mathrm{base}}}_{\,i_p}^{k_p}$ as
   the slopes of those triads whose vertical `arms' go down from the $i,k_{\mathrm{ML}}$ tracer point to
   the $i,k_{\mathrm{ML}}-1$ tracer point below.
@@ -790,6 +783,5 @@
 one gridbox deeper than the diagnosed ML depth $z_{\mathrm{ML}})$ that sets the $h$ used to taper the slopes in
 \autoref{eq:TRIADS_rmtilde}.
-\item
-  Finally, we calculate the adjusted triads ${\:}_i^k{\mathbb{R}_{\mathrm{ML}}}_{\,i_p}^{k_p}$ within
+\item Finally, we calculate the adjusted triads ${\:}_i^k{\mathbb{R}_{\mathrm{ML}}}_{\,i_p}^{k_p}$ within
   the mixed layer, by multiplying the appropriate ${\:}_i{\mathbb{R}_{\mathrm{base}}}_{\,i_p}^{k_p}$ by
   the ratio of the depth of the $w$-point ${z_w}_{k+k_p}$ to ${z_{\mathrm{base}}}_{\,i}$.
@@ -872,7 +864,4 @@
 % This may give strange looking results,
 % particularly where the mixed-layer depth varies strongly laterally.
-% ================================================================
-% Skew flux formulation for Eddy Induced Velocity :
-% ================================================================
 \section{Eddy induced advection formulated as a skew flux}
 \label{sec:TRIADS_skew-flux}