Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11599)
@@ -341,5 +341,4 @@
   and possibly introduce masking of extra land points to better fit the original bathymetry file.
 \end{description}
-%%%
 
 %% =================================================================================================
@@ -384,5 +383,4 @@
 \subsubsection[$S$-coordinate (\forcode{ln_sco})]{$S$-coordinate (\protect\np{ln_sco}{ln\_sco})}
 \label{sec:DOMCFG_sco}
-%
 \begin{listing}
   \nlst{namzgr_sco_domcfg}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex	(revision 11599)
@@ -134,5 +134,4 @@
   \int\limits_D  \zeta \; \left( \textbf{k} \times \textbf{U}_h  \right) \cdot \textbf{U}_h  \;  dv   = 0   \\
 \]
-%
 \[
   % \label{eq:INVARIANTS_E_tot_vect_adv_1}
@@ -272,5 +271,4 @@
 %gm comment
 \gmcomment{
-%
 The last equality comes from the following equation,
 \begin{flalign*}
@@ -329,5 +327,4 @@
 % end gm comment
 }
-%
 
 %% =================================================================================================
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_s_coord.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_s_coord.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_s_coord.tex	(revision 11599)
@@ -311,5 +311,4 @@
   \end{align*}
 \end{subequations}
-%
 Applying the time derivative chain rule (first equation of (\autoref{eq:SCOORD_s_chain_rule1})) to $u$ and
 using (\autoref{eq:SCOORD_w_in_s}) provides the expression of the last term of the right hand side,
@@ -361,5 +360,4 @@
   }
 \end{align*}
-%
 Introducing the vertical scale factor inside the horizontal derivative of the first two terms
 (\ie\ the horizontal divergence), it becomes :
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ASM.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ASM.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ASM.tex	(revision 11599)
@@ -101,6 +101,4 @@
 one assimilation cycle to the next than that described by \autoref{eq:ASM_F1_i}.
 
-%==========================================================================
-% Divergence damping description %%%
 %% =================================================================================================
 \section{Divergence damping initialisation}
@@ -145,6 +143,4 @@
 This specifies the number of iterations of the divergence damping. Setting a value of the order of 100 will result in a significant reduction in the vertical velocity induced by the increments.
 
-%==========================================================================
-
 %% =================================================================================================
 \section{Implementation details}
@@ -154,5 +150,4 @@
 the ORCA2 grid.
 
-%
 \begin{listing}
   \nlst{nam_asminc}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11599)
@@ -1583,5 +1583,4 @@
 \label{sec:DIA_diag_harm}
 
-%
 \begin{listing}
   \nlst{nam_diaharm}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIU.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIU.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIU.tex	(revision 11599)
@@ -65,9 +65,7 @@
 The cool skin model, which is determined purely by the instantaneous fluxes, has no initialisation variable.
 
-%===============================================================
 %% =================================================================================================
 \section{Warm layer model}
 \label{sec:DIU_warm_layer_sec}
-%===============================================================
 
 The warm layer is calculated using the model of \citet{takaya.bidlot.ea_JGR10} (TAKAYA10 model hereafter).
@@ -122,11 +120,7 @@
 In practice the second term acts as a relaxation on the temperature.
 
-%===============================================================
-
 %% =================================================================================================
 \section{Cool skin model}
 \label{sec:DIU_cool_skin_sec}
-
-%===============================================================
 
 The cool skin is modelled using the framework of \citet{saunders_JAS67} who used a formulation of the near surface temperature difference based upon the heat flux and the friction velocity $u^*_{w}$.
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11599)
@@ -67,5 +67,4 @@
 Furthermore, the tendency terms associated with the 2D barotropic vorticity balance (when \texttt{trdvor?} is defined)
 can be derived from the 3D terms.
-%%%
 \gmcomment{STEVEN: not quite sure I've got the sense of the last sentence. does
 MISC correspond to "extracting tendency terms" or "vorticity balance"?}
@@ -535,7 +534,5 @@
 there is also the possibility of using a $4^{th}$ order evaluation of the advective velocity as in ROMS.
 This is an error and should be suppressed soon.
-%%%
 \gmcomment{action :  this have to be done}
-%%%
 
 %% =================================================================================================
@@ -809,5 +806,4 @@
 \subsection[Split-explicit free surface (\forcode{ln_dynspg_ts})]{Split-explicit free surface (\protect\np{ln_dynspg_ts}{ln\_dynspg\_ts})}
 \label{subsec:DYN_spg_ts}
-%
 %\nlst{namsplit}
 
@@ -824,5 +820,4 @@
 Therefore, $\rdt_e$ is adjusted so that the Maximum allowed Courant number is smaller than \np{rn_bt_cmax}{rn\_bt\_cmax}.
 
-%%%
 The barotropic mode solves the following equations:
 % \begin{subequations}
@@ -893,5 +888,4 @@
 %references to Patrick Marsaleix' work here. Also work done by SHOM group.
 
-%%%
 
 As far as tracer conservation is concerned,
@@ -907,5 +901,4 @@
 obtain exact conservation.
 
-%%%
 
 One can eventually choose to feedback instantaneous values by not using any time filter
@@ -1190,7 +1183,5 @@
 the first derivative term normal to the coast depends on the free or no-slip lateral boundary conditions chosen,
 while the third derivative terms normal to the coast are set to zero (see \autoref{chap:LBC}).
-%%%
 \gmcomment{add a remark on the the change in the position of the coefficient}
-%%%
 
 %% =================================================================================================
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11599)
@@ -68,5 +68,4 @@
 \label{sec:LDF_slp}
 
-%%%
 \gmcomment{
   we should emphasize here that the implementation is a rather old one.
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11599)
@@ -135,24 +135,16 @@
 
 %\colorbox{yellow}{Miss: }
-%
 %A extensive description of all namsbc namelist (parameter that have to be
 %created!)
-%
 %Especially the \np{nn_fsbc}{nn\_fsbc}, the \mdl{sbc\_oce} module (fluxes + mean sst sss ssu
 %ssv) \ie\ information required by flux computation or sea-ice
-%
 %\mdl{sbc\_oce} containt the definition in memory of the 7 fields (6+runoff), add
 %a word on runoff: included in surface bc or add as lateral obc{\ldots}.
-%
 %Sbcmod manage the ``providing'' (fourniture) to the ocean the 7 fields
-%
 %Fluxes update only each nf\_sbc time step (namsbc) explain relation
 %between nf\_sbc and nf\_ice, do we define nf\_blk??? ? only one
 %nf\_sbc
-%
 %Explain here all the namlist namsbc variable{\ldots}.
-%
 % explain : use or not of surface currents
-%
 %\colorbox{yellow}{End Miss }
 
@@ -889,5 +881,4 @@
 
 %\gmcomment{  word doc of runoffs:
-%
 %In the current \NEMO\ setup river runoff is added to emp fluxes, these are then applied at just the sea surface as a volume change (in the variable volume case this is a literal volume change, and in the linear free surface case the free surface is moved) and a salt flux due to the concentration/dilution effect.  There is also an option to increase vertical mixing near river mouths; this gives the effect of having a 3d river.  All river runoff and emp fluxes are assumed to be fresh water (zero salinity) and at the same temperature as the sea surface.
 %Our aim was to code the option to specify the temperature and salinity of river runoff, (as well as the amount), along with the depth that the river water will affect.  This would make it possible to model low salinity outflow, such as the Baltic, and would allow the ocean temperature to be affected by river runoff.
@@ -1313,5 +1304,4 @@
 \subsection[Diurnal cycle (\textit{sbcdcy.F90})]{Diurnal cycle (\protect\mdl{sbcdcy})}
 \label{subsec:SBC_dcy}
-%
 
 \begin{figure}[!t]
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11599)
@@ -530,6 +530,4 @@
 \label{subsec:TRA_ldf_iso_triad}
 
-%&&    Standard rotated (bi-)laplacian operator
-%&& ----------------------------------------------
 %% =================================================================================================
 \subsubsection[Standard rotated (bi-)laplacian operator (\textit{traldf\_iso.F90})]{Standard rotated (bi-)laplacian operator (\protect\mdl{traldf\_iso})}
@@ -574,6 +572,4 @@
 They are calculated in module zpshde, described in \autoref{sec:TRA_zpshde}.
 
-%&&     Triad rotated (bi-)laplacian operator
-%&&  -------------------------------------------
 %% =================================================================================================
 \subsubsection[Triad rotated (bi-)laplacian operator (\forcode{ln_traldf_triad})]{Triad rotated (bi-)laplacian operator (\protect\np{ln_traldf_triad}{ln\_traldf\_triad})}
@@ -593,6 +589,4 @@
 normal to the bottom and normal to the surface are set to zero.
 
-%&&    Option for the rotated operators
-%&& ----------------------------------------------
 %% =================================================================================================
 \subsubsection{Option for the rotated operators}
@@ -1270,5 +1264,4 @@
 
 %    =====>>>>> TO BE written
-%
 
 %% =================================================================================================
@@ -1365,7 +1358,5 @@
 Sensitivity of the advection schemes to the way horizontal averages are performed in the vicinity of
 partial cells should be further investigated in the near future.
-%%%
 \gmcomment{gm :   this last remark has to be done}
-%%%
 
 \onlyinsubfile{\input{../../global/epilogue}}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11599)
@@ -771,5 +771,4 @@
 \label{subsec:ZDF_ddm}
 
-%
 %\nlst{namzdf_ddm}
 
@@ -858,5 +857,4 @@
 \label{sec:ZDF_drg}
 
-%
 \begin{listing}
   \nlst{namdrg}
@@ -1127,5 +1125,4 @@
 \label{subsec:ZDF_tmx_new}
 
-%
 \begin{listing}
   \nlst{namzdf_iwm}
@@ -1180,5 +1177,4 @@
 $h_{bot}$ is a function of the energy flux $E_{bot}$, the characteristic horizontal scale of
 the abyssal hill topography \citep{goff_JGR10} and the latitude.
-%
 % Jc: input files names ?
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11599)
@@ -78,7 +78,5 @@
 the surface height, again so long as $\eta > -H$.
 
-%%%
 %  essai update time splitting...
-%%%
 
 %% =================================================================================================
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex	(revision 11598)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex	(revision 11599)
@@ -30,5 +30,4 @@
 \gmcomment{STEVEN :maybe a picture of the directory structure in the introduction which could be referred to here,
   would help  ==> to be added}
-%%%%
 
 Having defined the continuous equations in \autoref{chap:MB}, we need now to choose a time discretization,
@@ -294,5 +293,4 @@
 the namelist variable \np[=0]{nn_euler}{nn\_euler}. Other options to control the time integration of the model
 are defined through the  \nam{run}{run} namelist variables.
-%%%
 \gmcomment{
 add here how to force the restart to contain only one time step for operational purposes
@@ -304,5 +302,4 @@
 a word on the check of restart  .....
 }
-%%%
 
 \gmcomment{       % add a subsection here
@@ -321,5 +318,4 @@
 }     	%% end add
 
-%%
 \gmcomment{       % add implicit in vvl case  and Crant-Nicholson scheme
 
@@ -371,5 +367,4 @@
 \end{flalign*}
 
-%%
 }
 