Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_top_cfg
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_top_cfg	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_top_cfg	(revision 11609)
@@ -20,4 +20,5 @@
 !
    ln_trcdta     =  .true.  !  Initialisation from data input file (T) or not (F)
+   ln_trcbc      =  .true.   !  Enables Boundary conditions
 !                !           !                                           !             !         !
 !                !    name   !           title of the field              !   units     ! init    ! sbc    ! cbc    !  obc  ! 
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_top_cfg
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_top_cfg	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_top_cfg	(revision 11609)
@@ -19,5 +19,6 @@
    ln_c14        =  .false.
 !
-   ln_trcdta     =  .true.  !  Initialisation from data input file (T) or not (F)
+   ln_trcdta     =  .true.   !  Initialisation from data input file (T) or not (F)
+   ln_trcbc      =  .true.   !  Enables Boundary conditions
 !                !           !                                           !             !         !
 !                !    name   !           title of the field              !   units     ! init    ! sbc    ! cbc    !  obc  ! 
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/SHARED/namelist_top_ref
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/SHARED/namelist_top_ref	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/cfgs/SHARED/namelist_top_ref	(revision 11609)
@@ -41,4 +41,5 @@
    ln_trcdmp     =  .false.  !  add a damping termn (T) or not (F)
    ln_trcdmp_clo =  .false.  !  damping term (T) or not (F) on closed seas
+   ln_trcbc      =  .false.  !  Surface, Lateral or Open Boundaries conditions
    !
    jp_dia3d      = 0         ! Number of 3D diagnostic variables
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/PISCES/P4Z/p4zbc.F90
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/PISCES/P4Z/p4zbc.F90	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/PISCES/P4Z/p4zbc.F90	(revision 11609)
@@ -262,5 +262,5 @@
       END IF
 
-      ll_bc    = lltrcbc .OR. ln_hydrofe .OR. ln_ironsed .OR. ln_ironice
+      ll_bc    = ( ln_trcbc .AND. lltrcbc )  .OR. ln_hydrofe .OR. ln_ironsed .OR. ln_ironice
       ll_dust  =  ln_trc_sbc(jpfer)   
       ll_ndepo =  ln_trc_sbc(jpno3) .OR. ln_trc_sbc(jpnh4)   
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/TRP/trctrp.F90
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/TRP/trctrp.F90	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/TRP/trctrp.F90	(revision 11609)
@@ -62,5 +62,5 @@
          !
                                 CALL trc_sbc    ( kt )      ! surface boundary condition
-         IF( lltrcbc .AND. kt /= nit000 )  &
+         IF( ln_trcbc .AND. lltrcbc .AND. kt /= nit000 )  &
                                 CALL trc_bc     ( kt )      ! tracers: surface and lateral Boundary Conditions 
          IF( ln_trabbl )        CALL trc_bbl    ( kt )      ! advective (and/or diffusive) bottom boundary layer scheme
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trc.F90
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trc.F90	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trc.F90	(revision 11609)
@@ -67,4 +67,5 @@
    LOGICAL             , PUBLIC ::   ln_top_euler       !: boolean term for euler integration 
    LOGICAL             , PUBLIC ::   ln_trcdta          !: Read inputs data from files
+   LOGICAL             , PUBLIC ::   ln_trcbc           !: Enable surface, lateral or open boundaries conditions
    LOGICAL             , PUBLIC ::   ln_trcdmp          !: internal damping flag
    LOGICAL             , PUBLIC ::   ln_trcdmp_clo      !: internal damping flag on closed seas
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trcini.F90
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trcini.F90	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trcini.F90	(revision 11609)
@@ -175,4 +175,13 @@
          ln_trc_obc(jn) =       sn_tracer(jn)%llobc
       END DO
+      !
+      IF( .NOT.ln_trcbc ) THEN
+         DO jn = 1, jp_bgc
+            ln_trc_sbc(jn) = .FALSE.
+            ln_trc_cbc(jn) = .FALSE.
+            ln_trc_obc(jn) = .FALSE.
+         END DO
+      ENDIF
+     
       lltrcbc = ( COUNT(ln_trc_sbc) + COUNT(ln_trc_obc) + COUNT(ln_trc_cbc) ) > 0 
       !    
@@ -192,5 +201,5 @@
          END DO
       ENDIF
-      IF( lwp .AND. lltrcbc ) THEN
+      IF( lwp .AND. ln_trcbc .AND. lltrcbc ) THEN
          WRITE(numout,*)
          WRITE(numout,*) ' Applying tracer boundary conditions '
@@ -241,5 +250,5 @@
       IF( ln_trcdta )   CALL trc_dta_ini( jptra )      ! set initial tracers values
       !
-      IF( lltrcbc   )  THEN 
+      IF( ln_trcbc .AND. lltrcbc )  THEN 
         CALL trc_bc_ini ( jptra  )      ! set tracers Boundary Conditions
         CALL trc_bc     ( nit000 )      ! tracers: surface and lateral Boundary Conditions
Index: NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trcnam.F90
===================================================================
--- NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trcnam.F90	(revision 11600)
+++ NEMO/branches/2019/dev_r11219_TOP-01_cethe_PISCES_LBC/src/TOP/trcnam.F90	(revision 11609)
@@ -148,5 +148,5 @@
       !!
       NAMELIST/namtrc/jp_bgc, ln_pisces, ln_my_trc, ln_age, ln_cfc11, ln_cfc12, ln_sf6, ln_c14, &
-         &            sn_tracer, ln_trcdta, ln_trcdmp, ln_trcdmp_clo, jp_dia3d, jp_dia2d
+         &            sn_tracer, ln_trcdta, ln_trcbc, ln_trcdmp, ln_trcdmp_clo, jp_dia3d, jp_dia2d
       !!---------------------------------------------------------------------
       ! Dummy settings to fill tracers data structure
@@ -222,4 +222,5 @@
          WRITE(numout,*) '      Simulating C14   passive tracer              ln_c14        = ', ln_c14
          WRITE(numout,*) '      Read inputs data from file (y/n)             ln_trcdta     = ', ln_trcdta
+         WRITE(numout,*) '      Enable surface, lateral or open boundaries conditions (y/n)  ln_trcbc  = ', ln_trcbc
          WRITE(numout,*) '      Damping of passive tracer (y/n)              ln_trcdmp     = ', ln_trcdmp
          WRITE(numout,*) '      Restoring of tracer on closed seas           ln_trcdmp_clo = ', ln_trcdmp_clo